<resources xmlns:android="http://schemas.android.com/apk/res/android">

    <!-- extends common style -->
    <style name="AppCompatTheme.APP">

        <item name="colorAccent">@color/theme</item>
        <item name="colorPrimary">@color/theme</item>
        <!-- 导航栏颜色(还包括列表下拉沉浸色 等等)-->
        <item name="colorPrimaryDark">@color/background</item>
        <!-- 设置沉浸栏颜色 5.0以上有效 -->
        <item name="android:windowLightStatusBar">true</item>

        <item name="android:actionModeBackground">@color/theme</item>
        <item name="actionModeBackground">@color/theme</item>

        <item name="android:windowBackground">@color/background</item>

        <item name="android:navigationIcon">@drawable/ic_bar_back</item>
        <item name="navigationIcon">@drawable/ic_bar_back</item>
        <item name="android:homeAsUpIndicator">@drawable/ic_bar_back</item>
        <item name="homeAsUpIndicator">@drawable/ic_bar_back</item>

    </style>

    <style name="AppTheme.Launcher" parent="AppCompatTheme.APP">
        <item name="android:windowBackground">@drawable/launcher_background</item>
        <item name="android:windowFullscreen">true</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowLayoutInDisplayCutoutMode">shortEdges</item>
        <item name="android:windowDrawsSystemBarBackgrounds">false</item>
    </style>

    <style name="Theme.Transparent" parent="AppCompatTheme.APP">
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:windowActionBarOverlay">true</item>
        <item name="android:colorBackgroundCacheHint">@null</item>
        <item name="android:windowAnimationStyle">@android:style/Animation</item>
        <item name="android:windowContentOverlay">@null</item>
    </style>

    <style name="AppFullScreenTheme" parent="AppCompatTheme.APP">
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:windowLightStatusBar">false</item>
        <item name="android:windowActionBarOverlay">true</item>
        <item name="android:colorBackgroundCacheHint">@null</item>
        <item name="android:windowAnimationStyle">@android:style/Animation</item>
        <item name="android:windowContentOverlay">@null</item>
        <item name="android:windowFullscreen">true</item>
        <item name="android:windowTranslucentStatus">true</item>
        <item name="android:windowLayoutInDisplayCutoutMode">shortEdges</item>
    </style>

    <style name="TransparentStatusBarAndNavigationBar" parent="Theme.AppCompat.Light.NoActionBar">
        <item name="android:windowTranslucentStatus">true</item>
        <item name="android:windowTranslucentNavigation">false</item>
    </style>

    <style name="TabLayoutNormalTextAppearance" parent="TextAppearance.AppCompat.Widget.ActionBar.Title">
        <item name="android:textSize">14sp</item>
        <item name="android:textColor">@color/text_tabbar_style</item>
        <item name="tabIndicatorHeight">0dp</item>
        <item name="tabMode">fixed</item>
    </style>

    <style name="HomeVideoTabTextAppearance" parent="TextAppearance.AppCompat.Widget.ActionBar.Title">
        <item name="android:textSize">16sp</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textColor">@color/text_tabbar_video_style</item>
    </style>

    <!-- 这个是加入的代码 -->
    <style name="mypopwindow_anim_style">
        <item name="android:windowEnterAnimation">@anim/popshow_anim</item>
        <!-- 指定显示的动画xml -->

        <item name="android:windowExitAnimation">@anim/pophidden_anim</item>
        <!-- 指定消失的动画xml -->
    </style>

    <style name="PosterCheckboxStyle" parent="@android:style/Widget.CompoundButton.CheckBox">
        <item name="android:button">@drawable/poster_checkbox_style</item>
    </style>

    <style name="KcCheckboxStyle" parent="@android:style/Widget.CompoundButton.RadioButton">
        <item name="android:button">@drawable/kc_checkbox_style</item>
    </style>

    <style name="VideoUploadProtocolCheckboxStyle" parent="@android:style/Widget.CompoundButton.RadioButton">
        <item name="android:button">@drawable/video_upload_protocol_checkbox_style</item>
    </style>

    <style name="MySwitchButtonMD" parent="SwitchButtonMD">
        <item name="kswThumbDrawable">@drawable/switch_button_thumb</item>
        <item name="kswBackRadius">999dp</item>
        <item name="kswThumbMarginTop">-9dp</item>
        <item name="kswThumbMarginLeft">-9dp</item>
        <item name="kswThumbMarginRight">-9dp</item>
        <item name="kswThumbMarginBottom">-9dp</item>
        <item name="kswBackMeasureRatio">1.45</item>
        <item name="kswBackColor">@drawable/switchbuttom_back_color</item>
    </style>

    <style name="TransparentDialog">
        <item name="android:windowFrame">@null</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowContentOverlay">@null</item>
        <item name="android:windowTitleStyle">@null</item>
        <item name="android:windowAnimationStyle">@android:style/Animation.Dialog</item>
        <item name="android:windowSoftInputMode">stateUnspecified|adjustPan</item>
        <item name="android:backgroundDimEnabled">false</item>
        <item name="android:background">@android:color/transparent</item>
    </style>

    <style name="Widget.MaterialRatingBar.RatingBar" parent="android:Widget.RatingBar">
        <!--
        Disabled for correct behavior on Android 4.x, see
        https://github.com/android/platform_frameworks_base/commit/911743652b597057a1bd7ef8a921e9ff8dce0f4a#diff-149f45c5ff2d3185bb79688ba17bc432L536
        <item name="android:progressDrawable">@null</item>
        -->
        <item name="android:indeterminateDrawable">@null</item>
        <item name="android:minHeight">36dp</item>
        <item name="android:maxHeight">36dp</item>
    </style>

    <style name="full_dialog">
        <item name="android:windowFrame">@null</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowAnimationStyle">@android:style/Animation.Dialog</item>
    </style>

    <style name="game_detail_video_time_text">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_marginLeft">16dp</item>
        <item name="android:textColor">@android:color/white</item>
        <item name="android:textSize">12sp</item>
    </style>

    <style name="PosterListPopupWindow" parent="@style/Widget.AppCompat.ListPopupWindow">
        <item name="android:windowElevation">0dp</item>
        <item name="android:popupBackground">@color/text_28282E</item>
    </style>

    <style name="game_gallery_icon">
        <item name="android:layout_width">84dp</item>
        <item name="android:layout_height">84dp</item>
    </style>

    <style name="share_dialog_item">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:drawablePadding">8dp</item>
        <item name="android:layout_marginLeft">16dp</item>
        <item name="android:gravity">center</item>
        <item name="android:includeFontPadding">false</item>
        <item name="android:textColor">@color/text_subtitle</item>
        <item name="android:textSize">11sp</item>
    </style>

    <style name="game_collection_share_dialog_item">
        <item name="android:layout_width">48dp</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:gravity">center_horizontal</item>
        <item name="android:orientation">vertical</item>
    </style>

    <style name="game_collection_share_dialog_icon">
        <item name="android:layout_width">48dp</item>
        <item name="android:layout_height">48dp</item>
    </style>

    <style name="game_collection_share_dialog_text">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_marginTop">8dp</item>
        <item name="android:includeFontPadding">false</item>
        <item name="android:textColor">@color/text_subtitle</item>
        <item name="android:textSize">11sp</item>
    </style>

    <style name="game_collection_share_dialog_blank">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">0dp</item>
        <item name="android:layout_weight">1</item>
    </style>

    <style name="toolbar_title">
        <item name="android:gravity">center</item>
        <item name="android:singleLine">true</item>
        <item name="android:textColor">@color/text_black</item>
        <item name="android:textSize">@dimen/secondary_title_text_size</item>
        <item name="android:textStyle">bold</item>
        <item name="android:ellipsize">end</item>
    </style>

    <style name="filterRoot">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">@dimen/default_filter_row_height</item>
        <item name="android:background">@color/background_white</item>
        <item name="android:orientation">horizontal</item>
    </style>

    <style name="filterItemContainer">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:layout_weight">1</item>
        <item name="android:gravity">center</item>
    </style>

    <style name="filterItem">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_marginRight">5dp</item>
        <item name="android:drawableRight">@drawable/ic_filter_arrow_down</item>
        <item name="android:drawablePadding">5dp</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:textColor">@color/text_subtitle</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textSize">12sp</item>
    </style>

    <style name="filterOptionItem">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">24dp</item>
        <item name="android:gravity">center</item>
        <item name="android:singleLine">true</item>
        <item name="android:ellipsize">end</item>
        <item name="android:paddingLeft">8dp</item>
        <item name="android:paddingRight">8dp</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textSize">12sp</item>
    </style>

    <style name="UserHomeFilterItem">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">28dp</item>
        <item name="android:layout_marginLeft">8dp</item>
        <item name="android:gravity">center</item>
        <item name="android:paddingLeft">12dp</item>
        <item name="android:paddingRight">12dp</item>
        <item name="android:background">@drawable/button_round_f5f5f5</item>
        <item name="android:textColor">@color/text_title</item>
        <item name="android:textSize">12sp</item>
    </style>

    <!-- 主色渐变按钮 -->
    <style name="PrimaryGradientButton">
        <item name="android:background">@drawable/download_button_normal_style</item>
        <item name="android:textColor">@color/white</item>
    </style>

    <!-- 主色纯色按钮 -->
    <style name="PrimaryButton">
        <item name="android:background">@drawable/button_blue_oval</item>
        <item name="android:textColor">@color/white</item>
    </style>

    <!-- 主色浅色按钮 -->
    <style name="PrimaryLightButton">
        <item name="android:background">@drawable/button_round_primary_light</item>
        <item name="android:textColor">@color/theme_font</item>
    </style>

    <!-- 灰色浅色按钮 -->
    <style name="GrayLightButton">
        <item name="android:background">@drawable/button_round_gray_light</item>
        <item name="android:textColor">@color/text_subtitle</item>
    </style>
</resources>